> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List wallets for a specific agent (org admin)



## OpenAPI

````yaml /api-reference/openapi.json get /v1/agents/{agentId}/wallets
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/agents/{agentId}/wallets:
    get:
      tags:
        - Agents
      summary: List wallets for a specific agent (org admin)
      parameters:
        - name: agentId
          in: path
          required: true
          schema:
            type: string
        - name: addressId
          in: query
          required: false
          schema:
            type: string
          description: Filter by child wallet ID
        - name: isActive
          in: query
          required: false
          schema:
            type: boolean
        - name: from
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
        - name: order
          in: query
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
      responses:
        '200':
          description: List of wallets
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        agentId:
                          type: string
                          format: uuid
                        organizationId:
                          type: string
                          format: uuid
                        addressId:
                          type: string
                          format: uuid
                        label:
                          type: string
                          nullable: true
                        isActive:
                          type: boolean
                        addressWallet:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            description:
                              type: string
                            walletAddress:
                              type: string
                            network:
                              type: string
                            blockchain:
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  description: Blockchain unique identifier
                                  example: 8a864e95-4b86-423d-9ba4-f4e692ec121e
                                name:
                                  type: string
                                  description: Blockchain name
                                  example: Base
                                slug:
                                  type: string
                                  description: Blockchain slug
                                  example: base-mainnet
                                symbol:
                                  type: string
                                  description: Blockchain symbol
                                  example: ETH
                                isActive:
                                  type: boolean
                                  description: Whether the blockchain is active
                                  example: true
                                isEvmCompatible:
                                  type: boolean
                                  description: Whether the blockchain is EVM compatible
                                  example: true
                                configurations:
                                  type: object
                                  nullable: true
                                  description: Additional configuration data
                                  example: null
                                chainId:
                                  type: integer
                                  description: Chain ID for EVM chains
                                  example: 8453
                                logoUrl:
                                  type: string
                                  description: URL to blockchain logo
                                  example: https://example.com/base-logo.png
                                tokenStandard:
                                  type: string
                                  description: Token standard
                                  example: ERC20
                                createdAt:
                                  type: string
                                  format: date-time
                                  description: Creation timestamp
                                  example: '2023-04-28T14:44:06.397Z'
                                updatedAt:
                                  type: string
                                  format: date-time
                                  description: Last update timestamp
                                  example: '2024-11-26T15:26:18.785Z'
                            masterWalletId:
                              type: string
                            metadata:
                              type: object
                            isActive:
                              type: boolean
                            configurations:
                              type: object
                              properties:
                                aml:
                                  type: object
                                  properties:
                                    message:
                                      type: string
                                    provider:
                                      type: string
                                    status:
                                      type: string
                                disableAutoSweep:
                                  type: boolean
                                enableGaslessWithdraw:
                                  type: boolean
                                enableMultiChain:
                                  type: boolean
                                settlement:
                                  type: object
                                  properties:
                                    autoSettlementEnabled:
                                      type: boolean
                                    settlementDelay:
                                      type: integer
                                    minBalanceForSettlement:
                                      type: string
                                security:
                                  type: object
                                  properties:
                                    requireSignatureForWithdrawals:
                                      type: boolean
                                    maxWithdrawalAmount:
                                      type: string
                                    allowedDestinations:
                                      type: array
                                      items:
                                        type: string
                                notifications:
                                  type: object
                                  properties:
                                    onDeposit:
                                      type: boolean
                                    onWithdrawal:
                                      type: boolean
                                    onThresholdReached:
                                      type: string
                            enabledBlockchains:
                              type: array
                              description: >-
                                List of blockchains enabled for monitoring on
                                this address
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    format: uuid
                                    description: Blockchain unique identifier
                                    example: 8a864e95-4b86-423d-9ba4-f4e692ec121e
                                  name:
                                    type: string
                                    description: Blockchain name
                                    example: Base
                                  slug:
                                    type: string
                                    description: Blockchain slug
                                    example: base-mainnet
                                  symbol:
                                    type: string
                                    description: Blockchain symbol
                                    example: ETH
                                  isActive:
                                    type: boolean
                                    description: Whether the blockchain is active
                                    example: true
                                  isEvmCompatible:
                                    type: boolean
                                    description: Whether the blockchain is EVM compatible
                                    example: true
                                  configurations:
                                    type: object
                                    nullable: true
                                    description: Additional configuration data
                                    example: null
                                  chainId:
                                    type: integer
                                    description: Chain ID for EVM chains
                                    example: 8453
                                  logoUrl:
                                    type: string
                                    description: URL to blockchain logo
                                    example: https://example.com/base-logo.png
                                  tokenStandard:
                                    type: string
                                    description: Token standard
                                    example: ERC20
                                  createdAt:
                                    type: string
                                    format: date-time
                                    description: Creation timestamp
                                    example: '2023-04-28T14:44:06.397Z'
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    description: Last update timestamp
                                    example: '2024-11-26T15:26:18.785Z'
                            createdAt:
                              type: string
                              format: date-time
                            updatedAt:
                              type: string
                              format: date-time
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                  total:
                    type: integer
                  hasMore:
                    type: boolean
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````